Subject: chemistry

From: <[email-masked]>
Date: Sun, 31 Dec 1995 18:27:58 +330

what are inactive ingradiantes of effervesent vitamin c tablets

what are the inactive additives of effervesent vitamin c tablets?